org.apache.sling.resource.inventory.impl

## Class ResourceInventoryPrinterFactory

- java.lang.Object
- - org.apache.sling.resource.inventory.impl.ResourceInventoryPrinterFactory

All Implemented Interfaces:
  org.apache.felix.inventory.InventoryPrinter

    public class ResourceInventoryPrinterFactory
    extends Object
    implements org.apache.felix.inventory.InventoryPrinter

### Nested Class Summary

Nested Classes
`static interface` `ResourceInventoryPrinterFactory.Config`

### Field Summary

### Fields inherited from interface org.apache.felix.inventory.InventoryPrinter

`FORMAT, NAME, SERVICE, TITLE, WEBCONSOLE`

### Constructor Summary

Constructors
Constructor and Description
`ResourceInventoryPrinterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(ResourceInventoryPrinterFactory.Config config)`
`void` `print(PrintWriter printWriter, org.apache.felix.inventory.Format format, boolean isZip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceInventoryPrinterFactory

    public ResourceInventoryPrinterFactory()

### Method Detail

#### activate

    protected void activate(ResourceInventoryPrinterFactory.Config config)

#### print

    public void print(PrintWriter printWriter,
                      org.apache.felix.inventory.Format format,
                      boolean isZip)

Specified by:
  `print` in interface `org.apache.felix.inventory.InventoryPrinter`
See Also:
  `InventoryPrinter.print(java.io.PrintWriter, org.apache.felix.inventory.Format, boolean)`